/* jcifs smb client library in Java
 * Copyright (C) 2002  "Michael B. Allen" <jcifs at samba dot org>
 *					   "Eric Glass" <jcifs at samba dot org>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jcifs.rap;

import jcifs.Config;

public abstract class Operation {

    public static final int DEFAULT_MAX_PARAMETER_LENGTH = 1024;

    public static final int DEFAULT_MAX_DATA_LENGTH =
            Config.getInt("jcifs.smb.client.transaction_buf_size", 0xffff) -
                    512;

    private String parameterDescriptor;

    private String dataDescriptor;

    private String auxiliaryDataDescriptor;

    private int number;

    private int maxParameterLength = DEFAULT_MAX_PARAMETER_LENGTH;

    private int maxDataLength = DEFAULT_MAX_DATA_LENGTH;

    private int requestAuxiliaryCount = 0;

    private int responseEntryCount = 0;

    public int getNumber() {
        return number;
    }

    protected void setNumber(int number) {
        this.number = number;
    }

    public int getMaxParameterLength() {
        return maxParameterLength;
    }

    protected void setMaxParameterLength(int maxParameterLength) {
        this.maxParameterLength = maxParameterLength;
    }

    public int getMaxDataLength() {
        return maxDataLength;
    }

    protected void setMaxDataLength(int maxDataLength) {
        this.maxDataLength = maxDataLength;
    }

    public String getParameterDescriptor() {
        return parameterDescriptor;
    }

    protected void setParameterDescriptor(String parameterDescriptor) {
        this.parameterDescriptor = parameterDescriptor;
    }

    public String getDataDescriptor() {
        return dataDescriptor;
    }

    protected void setDataDescriptor(String dataDescriptor) {
        this.dataDescriptor = dataDescriptor;
    }

    public String getAuxiliaryDataDescriptor() {
        return auxiliaryDataDescriptor;
    }

    protected void setAuxiliaryDataDescriptor(String auxiliaryDataDescriptor) {
        this.auxiliaryDataDescriptor = auxiliaryDataDescriptor;
    }

    public int getRequestAuxiliaryCount() {
        return requestAuxiliaryCount;
    }

    protected void setRequestAuxiliaryCount(int count) {
        this.requestAuxiliaryCount = count;
    }

    public void writeRequestParameters(Buffer buffer) { }

    public void writeRequestData(Buffer buffer) { }

    public void readResponseParameters(Buffer buffer) { }

    public void readResponseData(Buffer buffer) { }

}
