/* jcifs smb client library in Java
 * Copyright (C) 2002  "Michael B. Allen" <jcifs at samba dot org>
 *					   "Eric Glass" <jcifs at samba dot org>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jcifs.rap;

public class ServerInfo1 extends ServerInfo {

    public int versionMajor;

    public int versionMinor;

    public int serverType;

    public String comment;

    public String getDescriptor() {
        return super.getDescriptor() + "BBDz";
    }

    public void read(Buffer buffer) {
        super.read(buffer);
        versionMajor = buffer.buffer[buffer.index++] & 0xff;
        versionMinor = buffer.buffer[buffer.index++] & 0xff;
        serverType = buffer.readLong();
        comment = buffer.readString();
    }

    public void write(Buffer buffer) {
        super.write(buffer);
        buffer.buffer[buffer.index++] = (byte) versionMajor;
        buffer.buffer[buffer.index++] = (byte) versionMinor;
        buffer.writeLong(serverType);
        buffer.writeString(comment);
    }

}
