/* jcifs smb client library in Java
 * Copyright (C) 2002  "Michael B. Allen" <jcifs at samba dot org>
 *					   "Eric Glass" <jcifs at samba dot org>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jcifs.rap;

public class ShareInfo2 extends ShareInfo1 {

    public int permissions;

    public int maximumUsers = -1;

    public int activeUsers;

    public String path;

    public String password;

    public String getDescriptor() {
        return super.getDescriptor() + "WWWzB9B";
    }

    public void read(Buffer buffer) {
        super.read(buffer);
        permissions = buffer.readShort();
        maximumUsers = buffer.readShort();
        activeUsers = buffer.readShort();
        path = buffer.readFreeString();
        password = buffer.readFixedString(8);
        buffer.skip(1);
    }

    public void write(Buffer buffer) {
        super.write(buffer);
        buffer.writeShort(permissions);
        buffer.writeShort(maximumUsers);
        buffer.writeShort(activeUsers);
        buffer.writeFreeString(path);
        buffer.writeFixedString(password, 8);
        buffer.buffer[buffer.index++] = (byte) 0x0a;
    }

}
