/* jcifs smb client library in Java
 * Copyright (C) 2002  "Michael B. Allen" <jcifs at samba dot org>
 *					   "Eric Glass" <jcifs at samba dot org>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jcifs.rap;

public class UserInfo1 extends UserInfo {

    public String password;

    public int passwordAge;

    public int privilegeLevel = 1;

    public String homeDirectory;

    public String comment;

    public int flags = 0x21;

    public String logonScript;

    public String getDescriptor() {
        return super.getDescriptor() + "BB16DWzzWz";
    }

    public void read(Buffer buffer) {
        super.read(buffer);
        buffer.skip(1);
        password = buffer.readFixedString(15);
        passwordAge = buffer.readLong();
        privilegeLevel = buffer.readShort();
        homeDirectory = buffer.readFreeString();
        comment = buffer.readFreeString();
        flags = buffer.readShort();
        logonScript = buffer.readFreeString();
    }

    public void write(Buffer buffer) {
        super.write(buffer);
        buffer.pad(1);
        buffer.writeFixedString(password, 15);
        buffer.writeLong(passwordAge);
        buffer.writeShort(privilegeLevel);
        buffer.writeFreeString(homeDirectory);
        buffer.writeFreeString(comment);
        buffer.writeShort(flags);
        buffer.writeFreeString(logonScript);
    }

}
